
TYPO3.Neos - Bug # 36962

Status: Resolved Priority: Must have
Author: Kristian Videmark Parkov Category: Frontend
Created: 2012-05-08 Assigned To:
Updated: 2012-05-21 Due date:
Subject: Most ExtDirect calls fail
Description

In most ExtDirect calls, but easily reproduced by folding out the page tree in "Pages", an internal error 500 occurs.

The log reads:

PHP Fatal error:  Call to a member function getBaseUri() on a non-object in
/Users/parkov/Websites/Flow3Org/Data/Temporary/Development/Cache/Code/FLOW3_Object_Classes/TYPO3_FLOW3_Resource_Publishing_FileSystemPublishingTarget_Original.php on line 213
Publishing_FileSystemPublishingTarget_Original.php on line 213

I've tracked the error down to $requestHandler->getHttpRequest() being NULL, but only in the context of an asynchronous call.

Related issues:
related to TYPO3.Flow - Bug # 37018: CsrfProtectionAspect should not use remo... Resolved 2012-05-09

History
#1 - 2012-05-10 00:12 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11122

#2 - 2012-05-10 00:13 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11122

#3 - 2012-05-10 10:12 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11117

#4 - 2012-05-10 10:23 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11117

#5 - 2012-05-10 15:35 - Karsten Dambekalns
- Status changed from New to Under Review
- Assigned To set to Christian Müller

#6 - 2012-05-10 16:58 - Gerrit Code Review
Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11117

#7 - 2012-05-21 13:35 - Aske Ertmann
- Status changed from Under Review to Resolved
- Assigned To deleted (Christian Müller)
- Target version deleted (Sprint 7)
- % Done changed from 0 to 100

2015-08-03 2/2

http://review.typo3.org/11117

